Data Fields
_PurpleBlistNode Struct Reference

A Buddy list node. More...

`#include <blist.h>`

## Data Fields
PurpleBlistNodeType | type
| The type of node this is.
PurpleBlistNode * | prev
| The sibling before this buddy. More...
PurpleBlistNode * | next
| The sibling after this buddy. More...
PurpleBlistNode * | parent
| The parent of this node.
PurpleBlistNode * | child
| The child of this node.
GHashTable * | settings
| per-node settings
void * | ui_data
| The UI can put data here. More...
PurpleBlistNodeFlags | flags
| The buddy flags.

## Detailed Description

A Buddy list node.

This can represent a group, a buddy, or anything else. This is a base class for PurpleBuddy, PurpleContact, PurpleGroup, and for anything else that wants to put itself in the buddy list.

Definition at line 124 of file blist.h.

## Field Documentation

## ◆ next

PurpleBlistNode* _PurpleBlistNode::next

The sibling after this buddy.

Definition at line 127 of file blist.h.

## ◆ prev

PurpleBlistNode* _PurpleBlistNode::prev

The sibling before this buddy.

Definition at line 126 of file blist.h.

## ◆ ui_data

void* _PurpleBlistNode::ui_data

The UI can put data here.

Definition at line 131 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h